package tools.timestamp

import java.text.{ParsePosition, SimpleDateFormat}

/**
 * @ClassName: qm.qiaomeng.tools
 * @Description: 时间戳转换工具
 * @Author: LinYoung
 * @Date: 2021/4/15
 * @Time: 14:46
 */
object TimestampTools {
  def date2Timestamp(date: String): Long = {
    if (date.isEmpty) {
      0
    } else {
      new SimpleDateFormat("yyyy-MM-dd").parse(date, new ParsePosition(0)).getTime
    }
  }
}
